package com.yd.dal.service.customer;

import com.yd.api.practitioner.vo.rank.AclCustomerFortuneStatistics;
import com.yd.dal.entity.customer.AclCustomerFortune;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xxy
 */
@Service("aclCustomerFortuneDALService")
public interface AclCustomerFortuneDALService {
    List<AclCustomerFortuneStatistics> findBySubordinateSystemStatistics(Long subordinateSystemId, Integer time);

    List<AclCustomerFortune> findByIds(Long[] fortuneIds);

    void updateBatch(List<AclCustomerFortune> fortuneUpdates);

    List<AclCustomerFortune> findByWithdrawIds(List<Long> withdrawUpdateIds);


    void save(AclCustomerFortune fortuneNew);

    List<AclCustomerFortune> queryLifeFortuneListByOrderIds(List<Long> orderIds);

    List<AclCustomerFortune> findByOrderId(Long orderId);

    List<AclCustomerFortuneStatistics> findBypractitionerIds(List<Long> practitionerIds, Integer time);

    List<AclCustomerFortune> queryLifeFortuneListByOrderId(Long orderId);

    List<AclCustomerFortune> queryLifeFortuneListByCommissionId(Long commissionId);
}
